angular.module('IDRMAGISOFT').controller('PrevisualController', CedulaController);
CedulaController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$http', '$interval'];
function CedulaController($scope, $state, $sessionStorage, servicios, $http, $interval) {
    
    $scope.pre_turno = $sessionStorage.turnoImp;
    $scope.pre_servicio = $sessionStorage.servicioImp;

    $http.get("app/model/Servidor.php?accion=Fecha")
        .then(function (response) {
            $scope.pre_fecha = response.data.respuesta;
        });

    $scope.imprimirTikete = function() {
        let url = "app/model/Servidor.php?accion=SacarTurno&idservicio=" + $sessionStorage.IdServicio + "&prioridad=" + $sessionStorage.PrioridadSeleccionada + "&idrelacionServicio=" + $sessionStorage.idrelacionServicio + "&cedula=" + $sessionStorage.Cedula + "&nombrecliente=" + $sessionStorage.NombreCliente + "&IdPersona=" + $sessionStorage.IdPersona;
        // //
        $http.get(url).then(function (response) {
            if (response.data.estado === 'limite') {
                alert('El servicio ha alcanzado el limite de asistencias!');
                $state.go("index");
            } else if (response.data.estado == "nocita") {
                $("#modalnocita ").modal("show");
                $("#modalnocita").modal({ backdrop: "static", keyboard: false });
                //PARA DESACTIVAR LA MODAL DESPUES DE X SEGUNDOS
                var intervalnocita = $interval(function () {
                  $("#modalnocita").modal("hide");
                  $interval.cancel(intervalnocita);
                  RegresarInicio();
                }, 5000);
                //
            }else {
                //
                $scope.mostrarPrioridades = false;
                $scope.prioridades = false;
                $scope.TomeSuTurno = true;
                $http.get("app/model/imprimirTurno/Impresion.php?accion=ImprimirTiket&turno=" + response.data.turno + "&servicio=" + response.data.servicio)
                        .then(function (response) {

                });
                var intervalGif = $interval(function () {
                    $interval.cancel(intervalGif);
                    delete $sessionStorage.Prioridad;
                    delete $sessionStorage.idrelacionServicio;
                    delete $sessionStorage.NombreCliente;
                    delete $sessionStorage.IdPersona;
                    delete $sessionStorage.Cedula;
                    delete $sessionStorage.PrioridadSeleccionada;
                    delete $sessionStorage.turnoImp;
                    delete $sessionStorage.servicioImp;
                    $state.go("index");
                }, 2000);
            }
        });
    }

    $scope.noImprimirTikete = function() {
        delete $sessionStorage.Prioridad;
        delete $sessionStorage.idrelacionServicio;
        delete $sessionStorage.NombreCliente;
        delete $sessionStorage.IdPersona;
        delete $sessionStorage.Cedula;
        delete $sessionStorage.PrioridadSeleccionada;
        delete $sessionStorage.turnoImp;
        delete $sessionStorage.servicioImp;
        $state.go("index");
    }

}
